<?php
// ob_start();
session_start();
ini_set('display_errors', 'on');
ini_set('serialize_precision','-1');
error_reporting(E_ALL);
date_default_timezone_set('egypt');
$dateTimeZoneEgypt = new DateTimeZone("UTC");
include 'inc/connect.php';

$defaultLanguage = 'ar';
// تحديد لغة الطلب
// $language = isset($_GET['lang']) ? $_GET['lang'] : $defaultLanguage;
$language = isset($_GET['lang']) ? $_GET['lang'] : (
    isset($_COOKIE['user_language']) ? $_COOKIE['user_language'] : $defaultLanguage
);
$rorl = $language == "en" ? "" : "rtl.";
// حفظ لغة المستخدم في ملف تعريف الارتباط
setcookie('user_language', $language, time() + (86400 * 30), "/"); // صلاحية الملف 30 يومًا

// تحميل ملف اللغة المناسب
$langFile = "inc/languages/{$language}.php";
if (file_exists($langFile)) {
    include($langFile);
} else {
    // اللغة الافتراضية في حالة عدم العثور على ملف اللغة
    include("inc/languages/{$defaultLanguage}.php");
}

// $con = null;

/////////////////////////////////////////////////////////////////////////////////
/* شركة سياحة ليجند ترافل*/
/* تجريبى */
/* START */
///////////////////////////////////////////
// $idSrvBaseUrl = "https://id.preprod.eta.gov.eg";
// $apiBaseUrl = "https://api.preprod.invoicing.eta.gov.eg";
// $client_id = "b7e70915-be31-4cdc-b487-081e82782c5f";
// $client_secret 	= "330fd8e5-5b49-4e86-833f-8fecd3664794";
// $client_secret2 = "48c9a3d0-d1ad-406d-a647-8d45c03f5164";
// $client_id_pos = "c6faac94-56fc-4072-bdea-784ea5e810e9";
// $client_secret_pos 	= "f31391d1-07b0-44ab-81a1-e826d59020b7";
// $client_secret2_pos = "4ac78372-1aec-4fa6-928e-cf9074c2d439";
// $posserial = "e-zaki-pos";
// $pososversion = "OS";
// $url_eta = "https://preprod.invoicing.eta.gov.eg/";
/* END */


$sessionUser = '';

// $_SESSION['u_permissions'] = 1;
// Routes
$tpl = 'inc/temp/'; // Template Directory
$fun = 'inc/fun/'; // Functions Directory
$class = 'inc/class/'; // Classes Directory
$css = 'inc/layout/css/'; // Css Directory
$js = 'inc/layout/js/'; // Js Directory

// Set default start and end dates to the current month
$start_date_default = date('Y-m-01');  // First day of the current month
$end_date_default = date('Y-m-t');     // Last day of the current month

include $fun . 'functions.php';
/* require_once 'app/controllers/BookingController.php';
require_once 'app/models/BookingModel.php';
require_once 'app/Router.php'; */


/* spl_autoload_register(function ($class) {
	require_once  'inc/src/' . $class . '.php';
}); */
require_once 'vendor/autoload.php';

/* 
use classs\AccountManager;
use classs\App_doc;
use classs\CostCentersManager;
use classs\FileManager;
use classs\ManagerCars;
use classs\ManagerHotels;
use classs\ReservationsManager;
use classs\YomyaTransaction;
 */
if (isset($_SESSION['admin']) && !empty($_SESSION['admin'])) {
	$sessionUser = $_SESSION['admin'];
} else {
	$stmt = $con->prepare("SELECT * FROM users ORDER BY ID ASC");
	$stmt->execute();
	$rows = $stmt->fetchAll();
	if (empty($rows)) {
		if ($_SERVER["REQUEST_METHOD"] == "POST") {
			echo "<h1 class='text-center'>إدخال مستخدم</h1>";
			echo "<div class='container'>";

			// Get Variables From The Form

			$user     = $_POST['username'];
			$pass     = $_POST['password'];
			$name     = $_POST['full'];
			$hashPass = sha1($_POST['password']);

			// Validate The Form

			$formErrors = array();

			if (empty($user)) {
				$formErrors[] = 'لا يجب أن يكون إسم الدخول  <strong>فارغ</strong>';
			}

			if (empty($pass)) {
				$formErrors[] = 'لا يجب أن تكون كلمة السر <strong>فارغة</strong>';
			}

			if (empty($name)) {
				$formErrors[] = 'لا يجب أن يكون الإسم الكامل <strong>فارغ</strong>';
			}

			// Loop Into Errors Array And Echo It

			foreach ($formErrors as $error) {
				echo '<div class="alert alert-danger">' . $error . '</div>';
			}

			// Check If There's No Error Proceed The Update Operation

			if (empty($formErrors)) {

				// Insert Userinfo In Database

				$stmt = $con->prepare("INSERT INTO 
                                                users(id_companie, user_name, password, full_name, status, dateinsert)
                                            VALUES(1, :zuser, :zpass, :zname, 1, now()) ");
				$stmt->execute(array(

					'zuser' => $user,
					'zpass' => $hashPass,
					'zname' => $name

				));

				// Echo Success Message

				$theMsg = "<div class='alert alert-success'>" . $stmt->rowCount() . ' تمت الإضافة</div>';

				header('location: login.php');
			}
		} else {
					?>
			<div class="container">
				<h1 class="text-center">إضافة أول حساب على البرنامج</h1>
				<form class="form-horizontal" action="?do=Insert" method="POST">
					<!-- Start Username Field -->
					<div class="form-group form-group-lg">
						<label class="col-sm-2 control-label">إسم الدخول</label>
						<div class="col-sm-10 col-md-6">
							<input type="text" name="username" class="form-control" autocomplete="off" required="required" placeholder="إدخل الإسم الذى تريد الدخول به" />
						</div>
					</div>
					<!-- End Username Field -->
					<!-- Start Password Field -->
					<div class="form-group form-group-lg">
						<label class="col-sm-2 control-label">الرقم السرى</label>
						<div class="showpass col-sm-10 col-md-6">
							<input type="password" name="password" class="password form-control" required="required" autocomplete="new-password" placeholder="إدخل الرقم السرى وتاكد من انه قوى" />
							<i class="show-pass fa fa-eye fa-2x"></i>
						</div>
					</div>
					<!-- End Password Field -->
					<!-- Start Full Name Field -->
					<div class="form-group form-group-lg">
						<label class="col-sm-2 control-label">الإسم بالكامل</label>
						<div class="col-sm-10 col-md-6">
							<input type="text" name="full" class="form-control" required="required" placeholder="إدخل إسمك كاملا" />
						</div>
					</div>
					<!-- End Full Name Field -->
					<!-- Start Submit Field -->
					<div class="form-group form-group-lg">
						<div class="col-sm-offset-2 col-sm-10">
							<input type="submit" value="إضافة" class="btn btn-primary btn-lg" />
						</div>
					</div>
					<!-- End Submit Field -->
				</form>
			</div>
			<?php
		}
	} else {
		$gotourl = curPageURL();
		setcookie('returntourl', $gotourl , time() + 300 , "/");
		header('location: login.php');
		exit();
	}
}
$sqlname = $con->prepare("SELECT * from settings_info where Name_Option= ?");
$sqlname->execute(array("name_co"));
$names = $sqlname->fetchAll();
$count = $sqlname->rowCount();
if ($count > 0) {
	foreach ($names as $name) {
		$Name_co = $name['Value_Option'];
	}
} else {
	echo '<div class="alert alert-danger">برجاء إدخل إسم الشركة (<a href="settings.php?do=AddNameCo">إضغط هنا</a>)</div>';
}
if (!isset($pageTitle)) {
	if (isset($Name_co) && !empty($Name_co)) {
		$pageTitle = $Name_co;
		// $Name_co = $Name_co;
	} else {
		$pageTitle = "شركة ...";
		$Name_co = "شركة ...";
	}
} else {
	if (isset($Name_co) && !empty($Name_co)) {
		$Name_co = $pageTitle . " - " . $Name_co;
	} else {
		$Name_co = $pageTitle;
	}
}

$pr = checkadmin($_SESSION['admin']);
include $tpl . 'header.php';
